import type { StrokeOptions, StrokePoint } from './types';
/**
 * ## getStrokePoints
 * @description Get an array of points as objects with an adjusted point, pressure, vector, distance, and runningLength.
 * @param points An array of points (as `[x, y, pressure]` or `{x, y, pressure}`). Pressure is optional.
 * @param streamline How much to streamline the stroke.
 * @param size The stroke's size.
 */
export declare function getStrokePoints<T extends number[], K extends {
    x: number;
    y: number;
    pressure?: number;
}>(points: (T | K)[], options?: StrokeOptions): StrokePoint[];
//# sourceMappingURL=getStrokePoints.d.ts.map